
    function initManualEntryAddressCheckbox(fieldId, cbId) {    
		
        $('#' + cbId).click(function () {
            showManualEntryAddress(fieldId, cbId);
        });

        showManualEntryAddress(fieldId, cbId);
    }

    function showManualEntryAddress(fieldId, cbId) {
        var manualDivId = "#manualAddressContainer__" + fieldId;
        var findDivId = "#findAddressContainer__" + fieldId;

        if ($('#' + cbId + ':checked').length > 0) {
            $(manualDivId).show();
            $(findDivId).hide();
        } else {
            $(manualDivId).hide();
            $(findDivId).show();
        }
    }
